<?php
/**
 * Plugin Name: WP Clips
 * Plugin URI: https://wpclips.net
 * Description: Protect your code customizations with update-safe Clips.
 * Version: 3.1.1
 * Author: Krolyn Studios
 * Author URI: https://krolyn.com
 * License: GPLv2
 *
 * Text Domain: wp-clips
 * Domain Path: /languages/
 *
 * @package WP_Clips
 */


if( ! defined( 'ABSPATH' ) ) exit;


// Define constants
define( 'WP_CLIPS_ROOT', trailingslashit( dirname( __FILE__ ) ) );
define( 'WP_CLIPS_VERS', '3.1.1' );
define( 'WP_CLIPS_DIR', ABSPATH . 'wp-content/clips/' );
define( 'WP_CLIPS_PREC', WP_CLIPS_DIR . 'precoded/' );
define( 'WP_CLIPS_UNCL', WP_CLIPS_DIR . 'unclipped/' );

// Load textdomain
add_action( 'plugins_loaded', 'wp_clips_load_textdomain' );
function wp_clips_load_textdomain() {
	load_plugin_textdomain( 'wp-clips', false, WP_CLIPS_ROOT . 'languages' );
}

// Load admin menu and Clips manager
if( is_admin() )
	require( WP_CLIPS_ROOT . 'includes/admin.php' );

// Load Clips
include( WP_CLIPS_ROOT . 'includes/loader.php' );